Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
localeinit.c File Reference
`#include "ruby/encoding.h"`
`#include "internal.h"`
`#include "encindex.h"`

Go to the source code of this file.

## Macros
#define | NO_LOCALE_CHARMAP 1

## Functions
VALUE | rb_locale_charmap (VALUE klass)
int | rb_locale_charmap_index (void)
int | Init_enc_set_filesystem_encoding (void)

## Macro Definition Documentation

## ◆ NO_LOCALE_CHARMAP

#define NO_LOCALE_CHARMAP 1

Definition at line 33 of file localeinit.c.

## Function Documentation

## ◆ Init_enc_set_filesystem_encoding()

int Init_enc_set_filesystem_encoding | ( | void |  | ) |

Definition at line 119 of file localeinit.c.

## ◆ rb_locale_charmap()

VALUE rb_locale_charmap | ( | VALUE | klass | ) |

Definition at line 91 of file localeinit.c.

References rb_usascii_str_new_cstr.

## ◆ rb_locale_charmap_index()

int rb_locale_charmap_index | ( | void |  | ) |

Definition at line 109 of file localeinit.c.

References ENCINDEX_US_ASCII.